<?php
/**
 * DVCRS Core Plugin.
 *
 * @link https://cnpagency.com
 * @since 1.0.0
 * @package dvrcs-core
 *
 * @wordpress-plugin
 * Plugin Name:       DVC Rental Store Core
 * Plugin URI:        https://cnpagency.com
 * Description:       Core functionality plugin for DVC Rental Store.
 * Version:           1.1.0
 * Author:            CNP
 * Author URI:        https://cnpagency.com
 * Text Domain:       dvcrs-core
 * Domain Path:       /languages
 */

define( 'DVCRS_CORE_VERSION', '1.1.0' );
define( 'DVCRS_CORE_PATH', plugin_basename( __FILE__ ) );

// Autoload everything in /inc.
// NOTE: this will only work if there are no cross-class dependencies.
$dir_iterator = new RecursiveDirectoryIterator( plugin_dir_path( __FILE__ ) . 'inc' );
$iterator     = new RecursiveIteratorIterator( $dir_iterator, RecursiveIteratorIterator::SELF_FIRST );

foreach ( $iterator as $file ) {
	if ( $file->isFile() ) {
		require_once $file;
	}
}
